Subject: bug#43373: 28.0.50; Regression: Unrecognized style region in mhtml-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Jan 2021 06:28:11 +0100

Simen Heggestøyl <[email-masked]> writes:

>> Before I start trying to find out what's going on here, because this is
>> just all to odd -- are you seeing the same?
>
> Yup.

It appears that if I say

(defun so-long-detected-long-line-p () nil)

then the problem can be reproduced, but something in that function is
doing something to the buffer which makes font locking happen
correctly...  I think it's probably the narrow-to-region things that
makes Emacs re-fontify the buffer at opportune moments, which somehow
makes the multi-mode thing trigger from a better context...  or
something...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no